/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#ifndef POINT3D_H_KEM405
#define POINT3D_H_KEM405

class Point3D {
public:
    float x;
    float y;
    float z;

    /**
     * Default ctor.
     */
    Point3D() : x(0.0f), y(0.0f), z(0.0f) {}

    /**
     * Constructor allowing for initialization.
     */
    Point3D(float x, float y, float z) : x(x), y(y), z(z) {}

    /**
     * Reinitializes the Point3D.
     */
    void init(float x, float y, float z) {
        this->x = x;
        this->y = y;
        this->z = z;
    }

};

#endif
