[Setup]
AppName=Super IsoBomb
AppVerName=Super IsoBomb 1.0
AppPublisher=Jason Winnebeck, Jon Hilliker, Jim Clase
AppPublisherURL=http://www.rit.edu/~jpw9607/
AppSupportURL=http://www.rit.edu/~jpw9607/
AppUpdatesURL=http://www.rit.edu/~jpw9607/
DefaultDirName={pf}\Super IsoBomb
DefaultGroupName=Super IsoBomb
LicenseFile=LICENSE

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"

[Files]
Source: "IsoBomb.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "isobomb.cfg"; DestDir: "{app}"; Flags: ignoreversion
Source: "*.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "docs\README.txt"; DestDir: "{app}\docs"; Flags: ignoreversion
Source: "docs\mapformat.txt"; DestDir: "{app}\docs"; Flags: ignoreversion
Source: "grfx\*.*"; DestDir: "{app}\grfx"; Flags: ignoreversion
Source: "grfx\Bomb\*.*"; DestDir: "{app}\grfx\Bomb"; Flags: ignoreversion
Source: "grfx\BombFeet\*.*"; DestDir: "{app}\grfx\BombFeet"; Flags: ignoreversion
Source: "grfx\Explosion\*.*"; DestDir: "{app}\grfx\Explosion"; Flags: ignoreversion
Source: "grfx\HUD\*.*"; DestDir: "{app}\grfx\HUD"; Flags: ignoreversion
Source: "grfx\particles\*.*"; DestDir: "{app}\grfx\particles"; Flags: ignoreversion
Source: "grfx\PowerUps\*.*"; DestDir: "{app}\grfx\PowerUps"; Flags: ignoreversion
Source: "maps\map1.map"; DestDir: "{app}\maps"; Flags: ignoreversion
Source: "maps\map2.map"; DestDir: "{app}\maps"; Flags: ignoreversion
Source: "maps\map3.map"; DestDir: "{app}\maps"; Flags: ignoreversion
Source: "maps\map4.map"; DestDir: "{app}\maps"; Flags: ignoreversion
Source: "maps\map5.map"; DestDir: "{app}\maps"; Flags: ignoreversion
Source: "sfx\*.*"; DestDir: "{app}\sfx"; Flags: ignoreversion
Source: "tiles\*.*"; DestDir: "{app}\tiles"; Flags: ignoreversion
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[INI]
Filename: "{app}\IsoBomb.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.rit.edu/~jpw9607/"

[Icons]
Name: "{group}\Super IsoBomb"; Filename: "{app}\IsoBomb.exe"; WorkingDir: "{app}"
Name: "{group}\Super IsoBomb Instructions"; Filename: "{app}\docs\README.txt"; WorkingDir: "{app}\docs"
Name: "{group}\Super IsoBomb on the Web"; Filename: "{app}\IsoBomb.url"; WorkingDir: "{app}"
Name: "{group}\Uninstall Super IsoBomb"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Super IsoBomb"; Filename: "{app}\IsoBomb.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[UninstallDelete]
Type: files; Name: "{app}\IsoBomb.url"

