/**
 * Super IsoBomb
 *
 * Authors: Jim Clase, Jonathan Hilliker, Jason Winnebeck
 */

#include "AStarTile.h"

AStarTile::AStarTile() {
    init( 0, 0, 0, 0, NULL );
}

AStarTile::AStarTile( int initX, int initY, int initG, int initH, AStarTile* initParent ) {
    init( initX, initY, initG, initH, initParent );
}

AStarTile::~AStarTile() {

}

void AStarTile::init( int initX, int initY, int initG, int initH, AStarTile* initParent ) {
    pt.x = initX;
    pt.y = initY;
    g = initG;
    h = initH;
    f = g + h;
    parent = initParent;
}

int AStarTile::getF() const {
    return f;
}

int AStarTile::getG() const {
    return g;
}

int AStarTile::getH() const {
    return h;
}

int AStarTile::getX() const {
    return pt.x;
}

int AStarTile::getY() const {
    return pt.y;
}

AStarTile* AStarTile::getParent() const {
    return parent;
}

Point AStarTile::getPoint() const {
    return pt;
}